<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<!-- All FireBars Today Stats -->

		<?php if (!isset($_GET['firebar_name'])) { ?>
			<h1 id="nnr-heading"><?php _e('Stats', self::$text_domain); ?></h1>

			<div class="col-xs-4">
				<input style="margin-top: 0px;" id="<?php echo self::$prefix_dash; ?>send-weekly-email" name="<?php echo self::$prefix_dash; ?>send-weekly-email" type="checkbox" <?php echo isset($global_settings['send_weekly_email']) && $global_settings['send_weekly_email'] ? 'checked="checked"' : ''; ?>>
				<label for="<?php echo self::$prefix_dash; ?>send-weekly-email">
		            <span class="fa-stack fa-lg">
		                <i class="fa fa-square-o fa-stack-1x"></i>
		                <i class="fa fa-check fa-stack-1x"></i>
		            </span>
		        </label>
				<span><?php _e("Send Weekly Email", self::$text_domain); ?></span>
			</div>

			<div id="<?php echo self::$prefix_dash; ?>before-table" class="col-xs-8">
				<form method="get" class="form-inline" role="form">

					<?php

					// Format dates

					$start_date = isset($_GET[self::$prefix_dash . "start-date"]) && $_GET[self::$prefix_dash . "start-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "start-date"])) :
									date('m/d/Y', mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));

					$end_date = isset($_GET[self::$prefix_dash . "end-date"]) && $_GET[self::$prefix_dash . "end-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "end-date"])) :
									date("m/d/Y", strtotime(current_time('mysql')));

					?>

					<input class="hidden" name="page" value="<?php echo self::$stats_page; ?>"/>
					<input type="submit" value="<?php _e("Apply", self::$text_domain); ?>" class="pull-right btn btn-default"/>

					<!-- End Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-end-datepicker" id="<?php echo self::$prefix_dash; ?>end-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

					<!-- Start Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-start-datepicker" id="<?php echo self::$prefix_dash; ?>start-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

				</form>
			</div>

			<div id="<?php echo self::$prefix_dash; ?>loading-stats">
				<div class="fa fa-spinner fa-spin"></div>
			</div>

		<?php } else { ?>

			<h1 id="nnr-heading"><?php _e($_GET['firebar_name'] . ' Stats', self::$text_domain); ?>
				<small>
					<a href="<?php echo admin_url() . 'admin.php?page=' . self::$stats_page; ?>" class="btn btn-primary nnr-heading-button-left"><?php _e('All FireBars', self::$text_domain); ?></a>

					<a href="<?php echo wp_nonce_url(admin_url() . 'admin.php?page=' . self::$stats_page . '&firebar_id=' . $_GET['firebar_id'] . '&firebar_name=' . $_GET['firebar_name'] . '&' . self::$prefix_dash  . 'start-date=' . $start_date . '&' . self::$prefix_dash . 'end-date=' . $end_date . '&export_data=true', self::$prefix . 'export_data') ;?>" target="_blank" role="button" class="pull-right nnr-heading-button-right btn btn-info"><i class="fa fa-download"></i> <?php _e('Export', self::$text_domain); ?></a>
				</small>
			</h1>

			<div id="<?php echo self::$prefix_dash; ?>before-table" class="col-xs-12">

				<form method="get" class="form-inline" role="form">

					<?php

					// Format dates

					$start_date = isset($_GET[self::$prefix_dash . "start-date"]) && $_GET[self::$prefix_dash . "start-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "start-date"])) :
									date('m/d/Y', mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));

					$end_date = isset($_GET[self::$prefix_dash . "end-date"]) && $_GET[self::$prefix_dash . "end-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "end-date"])) :
									date("m/d/Y", strtotime(current_time('mysql')));

					?>

					<input class="hidden" name="firebar_id" value="<?php echo $_GET['firebar_id']; ?>"/>
					<input class="hidden" name="firebar_name" value="<?php echo $_GET['firebar_name']; ?>"/>
					<input class="hidden" name="page" value="<?php echo self::$stats_page; ?>"/>
					<input type="submit" value="<?php _e("Apply", self::$text_domain); ?>" class="pull-right btn btn-default"/>

					<!-- End Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-end-datepicker" id="<?php echo self::$prefix_dash; ?>end-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

					<!-- Start Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-start-datepicker" id="<?php echo self::$prefix_dash; ?>start-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

				</form>

			</div>

			<div id="<?php echo self::$prefix_dash; ?>loading-stats">
				<div class="fa fa-spinner fa-spin"></div>
			</div>

		<?php } ?>

	</div>

	<?php require_once('footer.php'); ?>

</div>