<?php

include_once(WPSITE_FIREBAR_PLUGIN_DIR . "/admin/model/db.php");
include_once(WPSITE_FIREBAR_PLUGIN_DIR . "/core/model/email-signups.php");

WPsite_Email_Signups_FB::createTable();

// Export data

if (isset($_GET['export_data']) && $_GET['export_data'] == 'true' && check_admin_referer(self::$prefix . 'export_data')) {

	$start_date = date(WPSITE_FIREBAR_DATE_FORMAT, mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));
	$end_date = date(WPSITE_FIREBAR_DATE_FORMAT, strtotime(current_time('mysql')));

	if (isset($_GET[self::$prefix_dash . 'start-date']) && $_GET[self::$prefix_dash . 'start-date'] != '') {
		$start_date = date(WPSITE_FIREBAR_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'start-date']));
	}

	if (isset($_GET[self::$prefix_dash . 'end-date']) && $_GET[self::$prefix_dash . 'end-date'] != '') {
		$end_date = date(WPSITE_FIREBAR_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'end-date']));
	}

	global $wpdb;

	$emails = WPsite_Email_Signups_FB::getEmails($start_date, $end_date);
	$firebars = $wpdb->get_results("SELECT * FROM `" . WPsite_Firebar_DB::getTableName() . "`");
	$firebar_emails = array();

	foreach ($firebars as $firebar) {
		foreach ($emails as $email) {
			if ($firebar->id == $email['firebar_id']) {
				$firebar_emails[] = array(
					'date'			=> $email['date'],
					'firebar_name'	=> $firebar->name,
					'email'			=> $email['email'],
					'first_name'	=> $email['first_name'],
					'last_name'		=> $email['last_name'],
				);
			}
		}
	}

	$filename =  self::$prefix . 'emails.csv';
	$export_file = fopen(WPSITE_FIREBAR_PLUGIN_DIR . 'exports/' . $filename, "w");
	fputcsv($export_file, array('Date', 'Firebar', 'Email', 'First Name', 'Last Name'));

	foreach (array_reverse($firebar_emails) as $email) {
	    fputcsv($export_file, $email);
	}

	fclose($export_file);

	?>
	<script type="text/javascript">
		window.location = '<?php echo WPSITE_FIREBAR_PLUGIN_URL . '/exports/download.php?filename=' . $filename; ?>';
	</script>
	<?php
}

include_once(WPSITE_FIREBAR_PLUGIN_DIR . 'admin/views/emails.php');